Subject: Re: bug#75834: [PATCH] Add missing custom :set to savehist-autosave-interval

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Feb 2025 16:23:27 +0200

> From: Ship Mints <[email-masked]>
> Date: Sat, 1 Feb 2025 09:12:26 -0500
> Cc: [email-masked]
> 
>  It's not just any idleness, it's 5 min of idleness.
> 
> That's right. And could be 10 seconds of idleness if a user wants. Since idle timers don't rerun until the next
> idleness, it seems more optimal than saving these structures every time the timer fires without knowing if
> they've changed (not an optimization I'm inclined to put in, but could).
> 
> I wind up starting multiple versions of Emacs throughout the day, as I'm sure many of you do, and having
> nearly up to date hist/places is helpful beyond waiting for a long-lived Emacs to exit.
> 
> How about we offer the user to decide idle or regular timer? However, if a timer was already in saveplace, I'd
> just have used what was there, so if you feel strongly about a regular timer, I'll change saveplace to a
> regular timer as savehist uses. I might be persuaded to change the idle timer I put in a package I help
> maintain, too.

I prefer to avoid such complexity.

What exactly is the problem with using normal non-idle timers in both
these cases?